hpp-python: pyhpp::pinocchio::LgSWrapper Struct Reference

hpp-python 9.0.2 python bindings for HPP, based on boost python

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
pyhpp::pinocchio::LgSWrapper Struct Reference

## Static Public Member Functions
static LiegroupSpacePtr_t | itimes (LiegroupSpacePtr_t l, const LiegroupSpacePtr_t &r)
static LiegroupSpacePtr_t | times (LiegroupSpacePtr_t l, const LiegroupSpacePtr_t &r)
static void | dIntegrate_dq (DerivativeProduct side, LiegroupElementConstRef q, const vector_t &v, matrixOut_t J)
static void | dIntegrate_dv (DerivativeProduct side, LiegroupElementConstRef q, const vector_t &v, matrixOut_t J)
static void | dDifference_dq0 (const LiegroupSpace &ls, DerivativeProduct side, const vector_t &q0, const vector_t &q1, matrixOut_t J)
static void | dDifference_dq1 (const LiegroupSpace &ls, DerivativeProduct side, const vector_t &q0, const vector_t &q1, matrixOut_t J)

## Member Function Documentation

## ◆ dDifference_dq0()

static void pyhpp::pinocchio::LgSWrapper::dDifference_dq0 | ( | const LiegroupSpace & | ls,
|  | DerivativeProduct | side,
|  | const vector_t & | q0,
|  | const vector_t & | q1,
|  | matrixOut_t | J )
| inlinestatic

## ◆ dDifference_dq1()

static void pyhpp::pinocchio::LgSWrapper::dDifference_dq1 | ( | const LiegroupSpace & | ls,
|  | DerivativeProduct | side,
|  | const vector_t & | q0,
|  | const vector_t & | q1,
|  | matrixOut_t | J )
| inlinestatic

## ◆ dIntegrate_dq()

static void pyhpp::pinocchio::LgSWrapper::dIntegrate_dq | ( | DerivativeProduct | side,
|  | LiegroupElementConstRef | q,
|  | const vector_t & | v,
|  | matrixOut_t | J )
| inlinestatic

## ◆ dIntegrate_dv()

static void pyhpp::pinocchio::LgSWrapper::dIntegrate_dv | ( | DerivativeProduct | side,
|  | LiegroupElementConstRef | q,
|  | const vector_t & | v,
|  | matrixOut_t | J )
| inlinestatic

## ◆ itimes()

static LiegroupSpacePtr_t pyhpp::pinocchio::LgSWrapper::itimes | ( | LiegroupSpacePtr_t | l,
|  | const LiegroupSpacePtr_t & | r )
| inlinestatic

## ◆ times()

static LiegroupSpacePtr_t pyhpp::pinocchio::LgSWrapper::times | ( | LiegroupSpacePtr_t | l,
|  | const LiegroupSpacePtr_t & | r )
| inlinestatic

The documentation for this struct was generated from the following file:

- src/pyhpp/pinocchio/liegroup.cc